ION(1)

NIMI
PWM - X11 ikkunanhallintaohjelma

SELOSTE
pwm3 [valinnat]

KUVAUS
Alkuperäinen PWM oli ensimmäinen ohjelma, joka toi välilehdet ikkunanhallintaohjelman tasolle. Tämä versio PWM:stä taas pohjautuu Ioniin ja sen mod_floatws moduuliin hieman eri oletusasetuksilla.

VALINNAT

-display kone:palvelin.näyttö
    X palvelin, johon ottaa yhteys.

-conffile asetustiedosto
    Käytettävä asetustiedosto.

-searchdir dir
    Hakupolkuun lisättävä hakemisto, josta löytyy asetus- ja muita tiedostoja.

-oneroot
    Hallitse vain oletusnäyttöä X-palvelimilla, joissa on useampi perinteinen (ei Xinerama) näyttö/juuri-ikkuna. Tämä näyttö voidaan valita -display parametrillä tai DISPLAY ympäristömuuttujalla.

-session session_name
    Istunnon nimi. Tämä vaikuttaa talletustiedostojen sijaintiin.

-help
    Näytä komentorivin ohje.

-version
    Näytä Ionin versio.

-about
    Näytä tietoja PWM:sta (versio, tekijä, lisenssi).

SIDONNAT
Nämä ovat oletusarvoiset näppäin- ja osoitinsidonnat. Näppäinmuunninta (Mod1) vastaava näppäin riippuu järjestelmästäsi. PC-tietokoneilla, joissa on XFree86 se on todennäköisesti vasen Alt-näppäin (Alt_L). Suneilla se on luultavasti sidottu timanttinäppäimiin. Käytä komentoa xmodmap(1x) selvittääksesi asian tarkemmin. Otsikkojen perässä hakasuluissa oleva merkkijono ilmoittaa moduulin, jonka asetustiedosto määrittelee alla olevat sidonnat.

  Yleisesti saatavilla olevat sidonnat

Mod1+1, Mod1+2, Mod1+3, Mod1+4, Mod1+5, Mod1+6, Mod1+7, Mod1+8, Mod1+9, Mod1+0
    Siirry n:teen tämänhetkisen näytön lomittamaan kappaleeseen (työpöytä, kokoruudun asiakasikkuna).

Mod1+comma, Mod1+period
    Siirry seuraavaan/edelliseen tämänhetkisen näytön lomittamaan kappaleeseen.

Mod1+K K
    Mene ensimmäiseen huomiota vaativaan alueeseen, tai edelliseen aktiiviseen.

Mod1+K T
    Poista kaikki merkinnät.

Mod1+Shift+1, Mod1+Shift+2
    Siirry näytölle n usean näytön järjestelmässä.

Mod1+Shift+comma, Mod1+Shift+period
    Mene seuraavalle/edelliselle näytölle usean näytön järjestelmässä.

Mod1+F9
    Luo uusi työpöytä ennalta asetettua tyyppiä.

Button3 painallus
    Näytä päävalikko.

Button2 painallus
    Näytä ikkunavalikko.

Mod1+Tab
    Kierrätä fokusta eteenpäin.

Mod1+K Tab
    Kierrätä fokusta taaksepäin

Mod1+K R
    Nosta aktiivista kappaletta, jos mahdollista.

F12 Näytä päävalikko.

  Näytöillä ja kaikissa kehyksissä toimivat sidonnat

Mod1+C
    Sulje aktiivinen kappale.

  Kaikissa kehyksissä toimivat sidonnat

Mod1+K H, Mod1+K V
    Maksimoi kehys vaaka/pystysuunnassa.

Button3 painallus
    Näytä kontekstivalikko.

Mod1+R
    Aloita siirto ja koonmuutostila.

Button1 napsautus osassa tab, Button2 napsautus osassa tab
    Vaihda kehys näyttämään välilehden ilmoittama kappale.

Button1 raahaus osassa border, Mod1+Button3 raahaus
    Muuta kehyksen kokoa.

Mod1+Button1 raahaus
    Siirrä kehystä.

Button1 raahaus osassa tab, Button2 raahaus osassa tab
    Siirrä kappaletta kehysten välillä raahaamalla ja pudottamalla välilehti.

Button1 kaksoisnapsautus osassa tab
    Kytke litistys päälle/pois.

Button1 painallus osassa tab, Button1 painallus osassa border, Mod1+Button1 napsautus
    Nosta kehys.

Mod1+Button3 napsautus
    Alenna kehystä.

Button1 raahaus osassa tab
    Siirrä kehystä.

  Näytöillä ja ylimmän tason kehyksissä (ei ns. transientit) toimivat sidonnat

Mod1+T
    Merkitse aktiivinen kappale.

F2  Käynnistä pääte-emulaattori.

Mod1+K D
    Irroita (kelluta) tai uudelleenliitä kappale sen edelliseen sijaintiin.

Mod1+F1
    Näytä PWM:n ohjesivu.

Mod1+M
    Näytä kontekstivalikko.

  Ylimmän tason kehyksissä (ei ns. transientit) toimivat sidonnat

Mod1+K 1, Mod1+K 2, Mod1+K 3, Mod1+K 4, Mod1+K 5, Mod1+K 6, Mod1+K 7, Mod1+K 8, Mod1+K 9, Mod1+K 0
    Siirry n:teen kehyksen jakavaan kappaleeseen.

Mod1+K N, Mod1+K P
    Siirry seuraavaan/edelliseen kehyksen jakavaan kappaleeseen.

Mod1+K comma, Mod1+K period
    Siirrä kehyksessä tällä hetkellä näytettävää kappaletta vasemmalle/oikealle.

Mod1+K H, Mod1+K V
    Maksimoi kehys vaaka/pystysuunnassa.

Mod1+K A
    Liitä merkityt kappaleet tähän kehykseen.

  Asiakasikkunoiden sidonnat

Mod1+L
    Tönäise aktiivista asiakasikkunaa. Tämä saattaa auttaa joidenkin ohjelmien koko-ongelmien kanssa.

Mod1+K C
    Tapa aktiivisen asiakasikkunan omistava ohjelma.

Mod1+K Q
    Lähetä seuraava näppäinpainallus aktiiviselle asiakasikkunalle. Kaikki ohjelmat eivät välttämättä salli tätä oletuksena.

Mod1+Return
    Muuta asiakasikkunaryhmän kokoruudun tilaa

  Siirto- ja koonmuutostilan sidonnat

Escape
    Peruuta tilasta.

Return
    Siirry tilasta pois.

Left, Right, Up, Down, F, B, P, N
    Kasvata vastaavaan suuntaan.

Shift+Left, Shift+Right, Shift+Up, Shift+Down, Shift+F, Shift+B, Shift+P, Shift+N
    Kutista vastaavaan suuntaan.

Mod1+Left, Mod1+Right, Mod1+Up, Mod1+Down, Mod1+F, Mod1+B, Mod1+P, Mod1+N
    Liiku vastaavaan suuntaan.

  Valikoiden sidonnat [mod_menu]

Escape, Control+G, Control+C, Left
    Sulje valikko.

Return, KP_Enter, Control+M, Right
    Suorita valinta.

Control+N, Control+P, Up, Down
    Siirry seuraavaan/edelliseen valintaan.

BackSpace
    Tyhjää valikon hakupuskuri.

TIEDOSTOT JA HAKEMISTOT

/etc/ion3/cfg_pwm.lua
    Järjestelmän oletusarvoinen pääasetustiedosto.

/etc/ion3/cfg_*.lua
    Muita asetustiedostoja.

/etc/ion3/look_*.lua
    Ulkonäön asetustiedostoja.

~/.ion3/
    Käyttäjän asetustiedostot.

~/.ion3/cfg_pwm.lua
    Käyttäjän oletusarvoinen pääasetustiedosto.

KATSO MYÖS
Katso ion3(1).

TEKIJÄ
PWM:n sekä Ionin on kirjoittanut Tuomo Valkonen <tuomov at iki.fi>.